Package com.ocient.util

# Class Executors

java.lang.Object
com.ocient.util.Executors

public class Executors extends Object

## Constructor Summary

Constructors
Constructor
Description
`Executors()`

## Method Summary

Modifier and Type
Method
Description
`static Executor`
`commonPool()`
`static Executor`
`serdes()`
`static Executor`
`sslDecoderPool()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Executors

public Executors()

## Method Details

### serdes

public static Executor serdes()

Returns:
  The Executor for serialization and deserialization tasks.

### commonPool

public static Executor commonPool()

Returns:
  The Executor for common/general-purpose tasks.

### sslDecoderPool

public static Executor sslDecoderPool()

Returns:
  The Executor for SSL decode tasks.